%global debug_package %{nil}
%global provider github
%global provider_tld com
%global project containerd
%global repo containerd
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

%global commit      269548fa27e0089a8b8278fc4fc781d7f65a939b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           docker-%{repo}
Version:        1.4.3
Release:        %mkrel 2
Summary:        A daemon to control runC
License:        ASL 2.0
Group:	        System/Configuration

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
#Source0:        https://%{import_path}/archive/%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4
BuildRequires:  git
BuildRequires:  btrfs-devel
BuildRequires:  pkgconfig(libseccomp)
Requires:	opencontainers-runc >= 1.0.0rc5

%description
containerd is a daemon to control runC, built for performance and density. 

containerd leverages runC's advanced features such as seccomp and user 
namespace support as well as checkpoint and restore for cloning and 
live migration of containers.

%prep
#%setup -q -n docker-%{commit}
%setup -q -n %{repo}-%{version}
# Fix /run paths - better than a moving patch file
find . -path0 | xargs -0 perl -pi -e 's|/run/containerd|/run/docker/containerd|'

%build
#export DOCKER_GITCOMMIT="%{shortcommit}"
#export DOCKER_GITCOMMIT="%{shortcommit}/%{version}"

#ln -sf $(pwd) vendor/src/%{import_path}
# build docker-containerd
mv vendor src
mkdir -p src/github.com/containerd
ln -s $(pwd) src/github.com/containerd/containerd
GOPATH=$(pwd) make

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/* %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%license LICENSE
%doc NOTICE README.md PLUGINS.md RELEASES.md SCOPE.md ROADMAP.md
%{_bindir}/*


%changelog
* Thu Dec 03 2020 bcornec <bcornec> 1.4.3-2.mga8
+ Revision: 1652204
- Update to upstrea 1.4.3 containerd

* Sun Feb 16 2020 umeabot <umeabot> 1.2.8-2.mga8
+ Revision: 1530697
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 bcornec <bcornec> 1.2.8-1.mga8
+ Revision: 1437232
- update docker-containerd to upstream 1.2.8

* Mon May 06 2019 bcornec <bcornec> 1.2.5-2.mga7
+ Revision: 1396408
- Fix socket location for docker-ctr tool

* Sun Mar 17 2019 bcornec <bcornec> 1.2.5-1.mga7
+ Revision: 1378400
- update to upstream containerd 1.2.5

* Tue Oct 16 2018 bcornec <bcornec> 1.2.0-0.beta.2.2.mga7
+ Revision: 1320701
- Update to upstream docker-containerd 1.2 made by Joseph Wang joequant

* Sun Sep 23 2018 umeabot <umeabot> 0.2.8-2.mga7
+ Revision: 1297480
- Mageia 7 Mass Rebuild

* Fri May 12 2017 bcornec <bcornec> 0.2.8-1.mga7
+ Revision: 1100545
- Update to upstream 0.2.8 docker-containerd

* Sat Sep 24 2016 bcornec <bcornec> 0.2.3-1.mga6
+ Revision: 1055670
- Force a dep on the 1.0 branch of runc as the previous one doesn't work anymore
- Update docker-containerd to upstream 0.2.3

* Mon May 23 2016 bcornec <bcornec> 0.2.1-4.mga6
+ Revision: 1018009
- bump rel

* Mon May 23 2016 bcornec <bcornec> 0.2.1-3.mga6
+ Revision: 1018000
- remove restriction on arch

* Sun May 22 2016 bcornec <bcornec> 0.2.1-2.mga6
+ Revision: 1017693
- containerd requires runc

* Sun May 22 2016 bcornec <bcornec> 0.2.1-1.mga6
+ Revision: 1017668
- Create a package for docker-containerd which is now needed by docker >= 1.11
- Created package structure for docker-containerd.

